this.name      = "upsMidair"; 
this.author    = "eric walch"; 
this.copyright = "� 2008 eric walch."; 
this.version   = "1.02";

this.shipSpawned = function ()
{
    this.collisionDistance = this.ship.collisionRadius + player.ship.collisionRadius;
    this.shipName = this.ship.displayName;
    this.countdown = 5;
    delete this.shipSpawned;
}

this.checkDistance = function ()
{
  var distance = Math.round(player.ship.position.distanceTo(this.ship));
  if (distance < 6000)
  {
      player.commsMessage("You are on final approach. Lower your speed.", 9);
      this.ship.displayName = this.shipName + " with packages";
      this.ship.reactToAIMessage("UPS_PLAYER_APPROACHING");
  }
}

this.guideIn = function ()
{
    var distance = Math.round(player.ship.position.distanceTo(this.ship) - this.collisionDistance);
    if (distance < 0) distance = 0;
    var speed = Math.round(player.ship.speed);
    if (distance > 7000)
    {
        this.ship.reactToAIMessage("UPS_PLAYER_LEAVING");
        return;
    }
    if (distance > 1500)
    {
        if (speed > 100) player.consoleMessage("Approaching with: " + speed + "km/h, lower your speed.", 5);
    }
    else
    {
        if (speed > 50) player.consoleMessage("Approaching with: " + speed + "km/h, lower your speed to 50 km/h.", 4);
        player.consoleMessage("You are at " + distance + " meters. Come to a complete standstill within 100 meters.", 4);
    }
    if (distance < 100 && speed == 0)
    {
        this.ship.reactToAIMessage("UPS_PLAYER_CLOSE");
    }
}

this.checkSpeed = function ()
{
  if (player.ship.speed > 5)
  {
    player.consoleMessage("You are moving too much. Lower your speed", 4);
    this.ship.reactToAIMessage("UPS_PLAYER_APPROACHING");
    this.countdown = 5;
  }
  else
  {
    player.consoleMessage("Transfering parcels..... " +this.countdown, 3);
    this.countdown--;
    if (this.countdown<0)
    {
        this.ship.reactToAIMessage("UPS_TRANSFERING");
    }
  }
}

this.transfer_package = function ()
{
    player.commsMessage("Make room or you will be sucked in my wormhole... ", 8);
    this.ship.displayName = this.shipName + " without packages";
    missionVariables.ups_pplanetname = system.name;
    worldScripts["ups_parcel"].ups_pplanet = system.ID;
    missionVariables.ups_parcel_appearance = expandDescription("[ups_numbers] [ups_colors] %I");
    mission.setInstructionsKey("ups_parcel_midair", "ups_parcel");
    worldScripts["ups_parcel"].upsMarkSystem(system.ID, "ups_parcel");
    worldScripts["ups_parcel"].ups_parcel = "MIDAIR_DELIVERY";
}