this.name      = "upsTrader"; 
this.author    = "eric walch"; 
this.copyright = "� 2008 eric walch."; 
this.description = "Code for a generic ups-trader"; 
this.version   = "1.2.1";

this.shipSpawned = function ()
{
    this.cargo = Math.round(this.ship.cargoSpaceCapacity / 10);
    delete this.shipSpawned;
}

this.shipDied = function () 
{ 
    var genericCargo = Math.ceil(this.cargo * 0.66);
    this.ship.spawn("cargopod", genericCargo);
    this.ship.spawn("ups-cargopod", this.cargo - genericCargo);
} 

this.shipBeingAttacked = function ()
{ 
    if(Math.random() < 0.05 && this.cargo > 0)
    {
        this.ship.ejectItem("cargopod");
        this.cargo--;
    }
} 

this.checkStation = function () 
{ 
   var stations = system.shipsWithRole("station", this.ship, 50000);
   if(stations.length > 0 && stations[0] !== this.lastStation) 
   {
		this.lastStation = stations[0];
		if (Math.random() < 0.5 && stations[0] != system.mainStation && stations[0].hasNPCTraffic) 
		{
			this.ship.target = stations[0];
			this.ship.reactToAIMessage("UPS_STATION_FOUND");
		} 
    }
}
