this.name      = "upsPiratebase"; 
this.author    = "eric walch"; 
this.copyright = "� 2008 eric walch."; 
this.version   = "1.01";

this.shipSpawned = function ()
{
    this.ReserveEnergy = this.ship.maxEnergy * missionVariables.ups_c2count * 0.25
    // make ship 25% stronger on every kill.
    delete this.shipSpawned;

	if (this.ship.group) 
    {
        this.ship.group.name = "Pirate Group";
        var defenders = system.shipsWithRole("upsdefender", this.ship, 50000)
        for (var i=0; i<defenders.length; i++)
        {
            this.ship.group.addShip(defenders[i]);
        }
    }
}

this.shipDied = function () 
{ 
    var ups_container = worldScripts["ups_container"].ups_container;
    if (ups_container === "SEARCHING3" || ups_container === "JOINED_PIRATES" || ups_container === "JOINED_PIRATES2") worldScripts["ups_container"].ups_container = "FOUND3";
    if (ups_container === "SEARCHING4") worldScripts["ups_container"].ups_container = "FOUND4";
    missionVariables.TL_FOR_EQ_UPS_POLICE_SCANNER = null;
    missionVariables.TL_FOR_EQ_UPS_IDCLEANER = null;
    this.ship.commsMessage("Next time we will have an even stronger base!");
    if (worldScripts["ups_container"].ups_cloaking && worldScripts["ups_container"].ups_cloaking === "CRIPPLED") 
    { 
        var damaged = (player.ship.equipmentStatus("EQ_CRIPPLED_CLOAKING") === "EQUIPMENT_DAMAGED"); // even the cripled one can get damaged in fight.
        
        if (player.ship.equipmentStatus("EQ_CRIPPLED_CLOAKING") !== "EQUIPMENT_UNAVAILABLE") // player has the equipment
		{
			player.ship.removeEquipment("EQ_CRIPPLED_CLOAKING");
			player.ship.awardEquipment("EQ_CLOAKING_DEVICE");
            if (damaged) player.ship.setEquipmentStatus("EQ_CLOAKING_DEVICE", "EQUIPMENT_DAMAGED");
		}
		if (!damaged) player.consoleMessage("Cloaking ability restored", 4);
    }
	mission.setInstructionsKey("ups_containers_small4b", "ups_container");
    worldScripts["ups_container"].upsUnmarkSystem(missionVariables.ups_cplanet, "ups_container");

    delete this.shipDied;
}

this.shipBeingAttacked = function (attacker)
{
    if (this.ship.energy < this.ship.maxEnergy * 0.5 && this.ReserveEnergy > 0)
    {
        if (this.ReserveEnergy > 500)
        {
            this.ReserveEnergy -= 500;
            this.ship.energy += 500;
            this.ship.commsMessage("You can shoot now, but we win at the end.");
        }
        else
        {
            this.ship.energy += this.ReserveEnergy;
            this.ReserveEnergy = 0;
        }
    }
}

this.stationLaunchedShip = function (ship)
{
    if (ship.primaryRole == "defense_ship") ship.switchAI("upsPirateBasePirateAI.plist");
	if (ship.primaryRole == "scavenger"  && !ship.bounty) ship.bounty = Math.random()*30;
}