this.name           = "upsViperEscort";
this.author         = "Eric Walch";
this.copyright      = "jan 2008 eric walch";
this.description    = "Escorts used for one single parcel mission";
this.version        = "1.02";


this.shipDied = function () 
{
    if (missionVariables.ups_escorts > 0) --missionVariables.ups_escorts;
    player.consoleMessage("Trainee escort died; " + missionVariables.ups_escorts + " escorts left.", 6);
}

this.signOn = function ()
{
    if (missionVariables.ups_escorts === 1) this.sendMessage("I'll escort you.")
    else this.sendMessage("All " + missionVariables.ups_escorts + " of us will escort you.");
}

this.startAttack = function ()
{
    if (this.ship.target.bounty === 0)
    {
        this.ship.reactToAIMessage("TARGET_LOST");
        return;
    }
    
    if (player.ship.target && player.ship.target === this.ship.target)
        this.sendMessage("I'll help you killing that " + this.ship.target.name + ".")
    else
        this.sendMessage("I'll take care of the " + this.ship.target.name + ".");
}

this.sendMessage = function (message)
{
	if (worldScripts["ups_docs"].messageAllowed()) this.ship.commsMessage(message);
    // no messages within 5 secs to avoid screen clutter.
}

this.searchMother = function ()
{
    this.ship.target = player.ship;
}